diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/qos-txop.h ns-3.44/src/wifi/model/qos-txop.h
--- ns-3.43/src/wifi/model/qos-txop.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/qos-txop.h	2025-03-09 16:55:49.795372700 -0700
@@ -30,9 +30,9 @@
 class WifiTxParameters;
 
 /**
- * \brief Handles the packet queue and stores DCF/EDCA access parameters
+ * @brief Handles the packet queue and stores DCF/EDCA access parameters
  * (one Txop per AC).
- * \ingroup wifi
+ * @ingroup wifi
  *
  * This class handles the packet queue and stores DCF/EDCA access
  * parameters (one Txop per AC). It generates backoff values and stores the channel access status
@@ -52,8 +52,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -69,169 +69,182 @@
     /**
      * Get the access category of this object.
      *
-     * \return the access category.
+     * @return the access category.
      */
     AcIndex GetAccessCategory() const;
 
     /**
      * Return true if an explicit BlockAckRequest is sent after a missed BlockAck
      *
-     * \return true if an explicit BlockAckRequest is sent after a missed BlockAck
+     * @return true if an explicit BlockAckRequest is sent after a missed BlockAck
      */
     bool UseExplicitBarAfterMissedBlockAck() const;
 
     /**
      * Get the Block Ack Manager associated with this QosTxop.
      *
-     * \returns the Block Ack Manager
+     * @returns the Block Ack Manager
      */
     Ptr<BlockAckManager> GetBaManager();
     /**
-     * \param address recipient address of the peer station
-     * \param tid traffic ID.
+     * @param address recipient address of the peer station or the group address for GCR.
+     * @param tid traffic ID.
+     * @param isGcr flag to indicate whether this function is called for GCR.
      *
-     * \return the negotiated buffer size during ADDBA handshake.
+     * @return the negotiated buffer size during ADDBA handshake.
      *
      * Returns the negotiated buffer size during ADDBA handshake with station addressed by
      * <i>recipient</i> for TID <i>tid</i>.
      */
-    uint16_t GetBaBufferSize(Mac48Address address, uint8_t tid) const;
+    uint16_t GetBaBufferSize(Mac48Address address, uint8_t tid, bool isGcr = false) const;
     /**
-     * \param address recipient address of the peer station
-     * \param tid traffic ID.
+     * @param address recipient address of the peer station or the group address for GCR.
+     * @param tid traffic ID.
+     * @param isGcr flag to indicate whether this function is called for GCR.
      *
-     * \return the starting sequence number of the originator transmit window.
+     * @return the starting sequence number of the  transmit window.
      *
      * Returns the current starting sequence number of the transmit window on the
      * originator (WinStartO) of the block ack agreement established with the given
      * recipient for the given TID.
      */
-    uint16_t GetBaStartingSequence(Mac48Address address, uint8_t tid) const;
+    uint16_t GetBaStartingSequence(Mac48Address address, uint8_t tid, bool isGcr = false) const;
     /**
-     * \param recipient Address of recipient.
-     * \param tid traffic ID.
-     * \return the BlockAckRequest header and the MAC header for the BlockAckReq
+     * @param recipient Address of recipient.
+     * @param tid traffic ID.
+     * @param gcrGroupAddr the GCR Group Address (only if the Block Ack Request is being used for
+     * the GCR service).
+     * @return the BlockAckRequest header and the MAC header for the BlockAckReq
      *
      * Prepare a BlockAckRequest to be sent to <i>recipient</i> for Traffic ID
      * <i>tid</i>. The header for the BlockAckRequest is requested to the QosTxop
      * corresponding to the given TID. A block ack agreement with the given recipient
      * for the given TID must have been established by such QosTxop.
      */
-    std::pair<CtrlBAckRequestHeader, WifiMacHeader> PrepareBlockAckRequest(Mac48Address recipient,
-                                                                           uint8_t tid) const;
+    std::pair<CtrlBAckRequestHeader, WifiMacHeader> PrepareBlockAckRequest(
+        Mac48Address recipient,
+        uint8_t tid,
+        std::optional<Mac48Address> gcrGroupAddr = std::nullopt) const;
 
     /* Event handlers */
     /**
      * Event handler when an ADDBA response is received.
      *
-     * \param respHdr ADDBA response header.
-     * \param recipient address of the recipient.
+     * @param respHdr ADDBA response header.
+     * @param recipient address of the recipient.
      */
     void GotAddBaResponse(const MgtAddBaResponseHeader& respHdr, Mac48Address recipient);
     /**
      * Event handler when a DELBA frame is received.
      *
-     * \param delBaHdr DELBA header.
-     * \param recipient address of the recipient.
+     * @param delBaHdr DELBA header.
+     * @param recipient address of the recipient.
      */
     void GotDelBaFrame(const MgtDelBaHeader* delBaHdr, Mac48Address recipient);
     /**
      * Take action upon notification of ADDBA_REQUEST frame being discarded
      * (likely due to exceeded max retry limit).
      *
-     * \param recipient the intended recipient of the ADDBA_REQUEST frame
-     * \param tid the TID
-     */
-    void NotifyOriginatorAgreementNoReply(const Mac48Address& recipient, uint8_t tid);
+     * @param recipient the intended recipient of the ADDBA_REQUEST frame
+     * @param tid the TID
+     * @param gcrGroupAddr the GCR Group Address (only if it a GCR Block Ack agreement)
+     */
+    void NotifyOriginatorAgreementNoReply(const Mac48Address& recipient,
+                                          uint8_t tid,
+                                          std::optional<Mac48Address> gcrGroupAddr);
     /**
      * Callback when ADDBA response is not received after timeout.
      *
-     * \param recipient MAC address of recipient
-     * \param tid traffic ID
-     */
-    void AddBaResponseTimeout(Mac48Address recipient, uint8_t tid);
+     * @param recipient MAC address of recipient
+     * @param tid traffic ID
+     * @param gcrGroupAddr the GCR Group Address (only if it a GCR Block Ack agreement)
+     */
+    void AddBaResponseTimeout(Mac48Address recipient,
+                              uint8_t tid,
+                              std::optional<Mac48Address> gcrGroupAddr);
     /**
      * Reset BA agreement after BA negotiation failed.
      *
-     * \param recipient MAC address of recipient
-     * \param tid traffic ID
+     * @param recipient MAC address of recipient
+     * @param tid traffic ID
+     * @param gcrGroupAddr the GCR Group Address (only if it a GCR Block Ack agreement)
      */
-    void ResetBa(Mac48Address recipient, uint8_t tid);
+    void ResetBa(Mac48Address recipient, uint8_t tid, std::optional<Mac48Address> gcrGroupAddr);
 
     /**
      * Set threshold for block ack mechanism. If number of packets in the
      * queue reaches the threshold, block ack mechanism is used.
      *
-     * \param threshold block ack threshold value.
+     * @param threshold block ack threshold value.
      */
     void SetBlockAckThreshold(uint8_t threshold);
     /**
      * Return the current threshold for block ack mechanism.
      *
-     * \return the current threshold for block ack mechanism.
+     * @return the current threshold for block ack mechanism.
      */
     uint8_t GetBlockAckThreshold() const;
 
     /**
      * Set the BlockAck inactivity timeout.
      *
-     * \param timeout the BlockAck inactivity timeout.
+     * @param timeout the BlockAck inactivity timeout.
      */
     void SetBlockAckInactivityTimeout(uint16_t timeout);
     /**
      * Get the BlockAck inactivity timeout.
      *
-     * \return the BlockAck inactivity timeout.
+     * @return the BlockAck inactivity timeout.
      */
     uint16_t GetBlockAckInactivityTimeout() const;
     /**
      * Stores an MPDU (part of an A-MPDU) in block ack agreement (i.e. the sender is waiting
      * for a BlockAck containing the sequence number of this MPDU).
      *
-     * \param mpdu received MPDU.
+     * @param mpdu received MPDU.
      */
     void CompleteMpduTx(Ptr<WifiMpdu> mpdu);
     /**
      * Set the timeout to wait for ADDBA response.
      *
-     * \param addBaResponseTimeout the timeout to wait for ADDBA response
+     * @param addBaResponseTimeout the timeout to wait for ADDBA response
      */
     void SetAddBaResponseTimeout(Time addBaResponseTimeout);
     /**
      * Get the timeout for ADDBA response.
      *
-     * \returns the timeout to wait for ADDBA response
+     * @returns the timeout to wait for ADDBA response
      */
     Time GetAddBaResponseTimeout() const;
     /**
      * Set the timeout for failed BA agreement. During the timeout period,
      * all packets will be transmitted using normal MPDU.
      *
-     * \param failedAddBaTimeout the timeout for failed BA agreement
+     * @param failedAddBaTimeout the timeout for failed BA agreement
      */
     void SetFailedAddBaTimeout(Time failedAddBaTimeout);
     /**
      * Get the timeout for failed BA agreement.
      *
-     * \returns the timeout for failed BA agreement
+     * @returns the timeout for failed BA agreement
      */
     Time GetFailedAddBaTimeout() const;
 
     /**
      * Return the next sequence number for the given header.
      *
-     * \param hdr Wi-Fi header.
+     * @param hdr Wi-Fi header.
      *
-     * \return the next sequence number.
+     * @return the next sequence number.
      */
     uint16_t GetNextSequenceNumberFor(const WifiMacHeader* hdr);
     /**
      * Return the next sequence number for the Traffic ID and destination, but do not pick it (i.e.
      * the current sequence number remains unchanged).
      *
-     * \param hdr Wi-Fi header.
+     * @param hdr Wi-Fi header.
      *
-     * \return the next sequence number.
+     * @return the next sequence number.
      */
     uint16_t PeekNextSequenceNumberFor(const WifiMacHeader* hdr);
     /**
@@ -244,11 +257,11 @@
      * transmitted, it is assigned a sequence number peeked from MacTxMiddle.
      * Also note that multiple links are only available since 802.11be.
      *
-     * \param linkId the ID of the given link
-     * \param tid traffic ID.
-     * \param recipient the receiver station address.
-     * \param mpdu the MPDU after which the search starts from
-     * \returns the peeked frame.
+     * @param linkId the ID of the given link
+     * @param tid traffic ID.
+     * @param recipient the receiver station address.
+     * @param mpdu the MPDU after which the search starts from
+     * @returns the peeked frame.
      */
     Ptr<WifiMpdu> PeekNextMpdu(uint8_t linkId,
                                uint8_t tid = 8,
@@ -264,14 +277,14 @@
      * attempt to perform A-MSDU aggregation (while meeting the constraints mentioned
      * above) and assign a sequence number to the dequeued frame.
      *
-     * \param linkId the ID of the given link
-     * \param peekedItem the peeked frame.
-     * \param txParams the TX parameters for the frame
-     * \param availableTime the time available for the transmission of the frame
+     * @param linkId the ID of the given link
+     * @param peekedItem the peeked frame.
+     * @param txParams the TX parameters for the frame
+     * @param availableTime the time available for the transmission of the frame
                             (including protection and acknowledgment); a value of
      *                      Time::Min() indicates no time constraint
-     * \param initialFrame true if the frame is the initial PPDU of a TXOP
-     * \return the frame to transmit or a null pointer if no frame meets the time constraints
+     * @param initialFrame true if the frame is the initial PPDU of a TXOP
+     * @return the frame to transmit or a null pointer if no frame meets the time constraints
      */
     Ptr<WifiMpdu> GetNextMpdu(uint8_t linkId,
                               Ptr<WifiMpdu> peekedItem,
@@ -283,7 +296,7 @@
      * Assign a sequence number to the given MPDU, if it is not a fragment
      * and it is not a retransmitted frame.
      *
-     * \param mpdu the MPDU
+     * @param mpdu the MPDU
      */
     void AssignSequenceNumber(Ptr<WifiMpdu> mpdu) const;
 
@@ -291,22 +304,22 @@
      * Get the value for the Queue Size subfield of the QoS Control field of a
      * QoS data frame of the given TID and addressed to the given receiver.
      *
-     * \param tid the Traffic ID
-     * \param receiver the address of the given receiver
-     * \return the value for the Queue Size subfield
+     * @param tid the Traffic ID
+     * @param receiver the address of the given receiver
+     * @return the value for the Queue Size subfield
      */
     uint8_t GetQosQueueSize(uint8_t tid, Mac48Address receiver) const;
 
     /**
-     * \param linkId the ID of the given link
-     * \return the TXOP start time, if a TXOP is ongoing on the given link
+     * @param linkId the ID of the given link
+     * @return the TXOP start time, if a TXOP is ongoing on the given link
      */
     virtual std::optional<Time> GetTxopStartTime(uint8_t linkId) const;
     /**
      * Return the remaining duration in the current TXOP on the given link.
      *
-     * \param linkId the ID of the given link
-     * \return the remaining duration in the current TXOP.
+     * @param linkId the ID of the given link
+     * @return the remaining duration in the current TXOP.
      */
     virtual Time GetRemainingTxop(uint8_t linkId) const;
 
@@ -314,52 +327,52 @@
      * Set the minimum contention window size to use while the MU EDCA Timer
      * is running for the given link.
      *
-     * \param cwMin the minimum contention window size.
-     * \param linkId the ID of the given link
+     * @param cwMin the minimum contention window size.
+     * @param linkId the ID of the given link
      */
     void SetMuCwMin(uint16_t cwMin, uint8_t linkId);
     /**
      * Set the maximum contention window size to use while the MU EDCA Timer
      * is running for the given link.
      *
-     * \param cwMax the maximum contention window size.
-     * \param linkId the ID of the given link
+     * @param cwMax the maximum contention window size.
+     * @param linkId the ID of the given link
      */
     void SetMuCwMax(uint16_t cwMax, uint8_t linkId);
     /**
      * Set the number of slots that make up an AIFS while the MU EDCA Timer
      * is running for the given link.
      *
-     * \param aifsn the number of slots that make up an AIFS.
-     * \param linkId the ID of the given link
+     * @param aifsn the number of slots that make up an AIFS.
+     * @param linkId the ID of the given link
      */
     void SetMuAifsn(uint8_t aifsn, uint8_t linkId);
     /**
      * Set the MU EDCA Timer for the given link.
      *
-     * \param timer the timer duration.
-     * \param linkId the ID of the given link
+     * @param timer the timer duration.
+     * @param linkId the ID of the given link
      */
     void SetMuEdcaTimer(Time timer, uint8_t linkId);
     /**
      * Start the MU EDCA Timer for the given link.
      *
-     * \param linkId the ID of the given link
+     * @param linkId the ID of the given link
      */
     void StartMuEdcaTimerNow(uint8_t linkId);
     /**
      * Return true if the MU EDCA Timer is running for the given link, false otherwise.
      *
-     * \param linkId the ID of the given link
-     * \return whether the MU EDCA Timer is running
+     * @param linkId the ID of the given link
+     * @return whether the MU EDCA Timer is running
      */
     bool MuEdcaTimerRunning(uint8_t linkId) const;
     /**
      * Return true if the EDCA is disabled (the MU EDCA Timer is running and the
      * MU AIFSN is zero) for the given link, false otherwise.
      *
-     * \param linkId the ID of the given link
-     * \return whether the EDCA is disabled
+     * @param linkId the ID of the given link
+     * @return whether the EDCA is disabled
      */
     bool EdcaDisabled(uint8_t linkId) const;
     /**
@@ -367,8 +380,8 @@
      * EDCA Parameter Set or the MU EDCA Parameter Set, depending on whether the
      * MU EDCA Timer is running or not.
      *
-     * \param linkId the ID of the given link
-     * \return the currently used minimum contention window size.
+     * @param linkId the ID of the given link
+     * @return the currently used minimum contention window size.
      */
     uint32_t GetMinCw(uint8_t linkId) const override;
     /**
@@ -376,8 +389,8 @@
      * EDCA Parameter Set or the MU EDCA Parameter Set, depending on whether the
      * MU EDCA Timer is running or not.
      *
-     * \param linkId the ID of the given link
-     * \return the currently used maximum contention window size.
+     * @param linkId the ID of the given link
+     * @return the currently used maximum contention window size.
      */
     uint32_t GetMaxCw(uint8_t linkId) const override;
     /**
@@ -385,8 +398,8 @@
      * to the EDCA Parameter Set or the MU EDCA Parameter Set, depending on whether
      * the MU EDCA Timer is running or not.
      *
-     * \param linkId the ID of the given link
-     * \return the number of slots that currently make up an AIFS.
+     * @param linkId the ID of the given link
+     * @return the number of slots that currently make up an AIFS.
      */
     uint8_t GetAifsn(uint8_t linkId) const override;
 
@@ -416,8 +429,8 @@
     /**
      * Get a reference to the link associated with the given ID.
      *
-     * \param linkId the given link ID
-     * \return a reference to the link associated with the given ID
+     * @param linkId the given link ID
+     * @return a reference to the link associated with the given ID
      */
     QosLinkEntity& GetLink(uint8_t linkId) const;
 
@@ -432,8 +445,8 @@
      * starting sequence number of the transmit window, provided that a block ack
      * agreement has been established with the recipient for the given TID.
      *
-     * \param mpdu the given MPDU
-     * \return true if the MPDU is to be considered old, false otherwise
+     * @param mpdu the given MPDU
+     * @return true if the MPDU is to be considered old, false otherwise
      */
     bool IsQosOldPacket(Ptr<const WifiMpdu> mpdu);
 
@@ -458,6 +471,24 @@
         TxopTracedCallback;
 
     TxopTracedCallback m_txopTrace; //!< TXOP trace callback
+
+    /**
+     * TracedCallback signature for block ack agreement established events.
+     *
+     * @param recipient the MAC address of the recipient
+     * @param tid the TID for which block ack agreement is established
+     * @param gcrGroup the GCR group address (if any)
+     */
+    typedef void (*BaEstablishedCallback)(Mac48Address recipient,
+                                          uint8_t tid,
+                                          std::optional<Mac48Address> gcrGroup);
+
+    /// TracedCallback for block ack agreement established events typedef
+    using BaEstablishedTracedCallback =
+        TracedCallback<Mac48Address, uint8_t, std::optional<Mac48Address>>;
+
+    BaEstablishedTracedCallback
+        m_baEstablishedCallback; //!< traced callback for block ack agreement established events
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/qos-utils.h ns-3.44/src/wifi/model/qos-utils.h
--- ns-3.43/src/wifi/model/qos-utils.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/qos-utils.h	2025-03-09 16:55:49.795372700 -0700
@@ -32,8 +32,8 @@
     /**
      * Functional operator for (MAC address, TID) hash computation.
      *
-     * \param addressTidPair the (MAC address, TID) pair
-     * \return the hash
+     * @param addressTidPair the (MAC address, TID) pair
+     * @return the hash
      */
     std::size_t operator()(const WifiAddressTidPair& addressTidPair) const;
 };
@@ -46,14 +46,14 @@
     /**
      * Functional operator for MAC address hash computation.
      *
-     * \param address the MAC address
-     * \return the hash
+     * @param address the MAC address
+     * @return the hash
      */
     std::size_t operator()(const Mac48Address& address) const;
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * This enumeration defines the Access Categories as an enumeration
  * with values corresponding to the AC index (ACI) values specified
  * (Table 8-104 "ACI-to-AC coding"; IEEE 802.11-2012).
@@ -77,11 +77,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param acIndex the AC index
- * \returns a reference to the stream
+ * @param os the stream
+ * @param acIndex the AC index
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const AcIndex& acIndex)
@@ -109,7 +109,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * This class stores the pair of TIDs of an Access Category.
  */
 class WifiAc
@@ -118,27 +118,27 @@
     /**
      * Constructor.
      *
-     * \param lowTid the TID with lower priority
-     * \param highTid the TID with higher priority
+     * @param lowTid the TID with lower priority
+     * @param highTid the TID with higher priority
      */
     WifiAc(uint8_t lowTid, uint8_t highTid);
     /**
      * Get the TID with lower priority
      *
-     * \return the TID with lower priority
+     * @return the TID with lower priority
      */
     uint8_t GetLowTid() const;
     /**
      * Get the TID with higher priority
      *
-     * \return the TID with higher priority
+     * @return the TID with higher priority
      */
     uint8_t GetHighTid() const;
     /**
      * Given a TID belonging to this Access Category, get the other TID of this AC.
      *
-     * \param tid a TID belonging to this AC
-     * \return the other TID belonging to this AC
+     * @param tid a TID belonging to this AC
+     * @return the other TID belonging to this AC
      */
     uint8_t GetOtherTid(uint8_t tid) const;
 
@@ -148,46 +148,46 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Operator> overload returning true if the AC on the left has higher priority
  * than the AC on the right.
  *
- * \param left the AC on the left of operator>
- * \param right the AC on the right of operator>
- * \return true if the AC on the left has higher priority than the AC on the right
+ * @param left the AC on the left of operator>
+ * @param right the AC on the right of operator>
+ * @return true if the AC on the left has higher priority than the AC on the right
  */
 bool operator>(AcIndex left, AcIndex right);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Operator>= overload returning true if the AC on the left has higher or the same
  * priority than the AC on the right.
  *
- * \param left the AC on the left of operator>=
- * \param right the AC on the right of operator>=
- * \return true if the AC on the left has higher or the same priority than the AC on the right
+ * @param left the AC on the left of operator>=
+ * @param right the AC on the right of operator>=
+ * @return true if the AC on the left has higher or the same priority than the AC on the right
  */
 bool operator>=(AcIndex left, AcIndex right);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Operator< overload returning true if the AC on the left has lower priority
  * than the AC on the right.
  *
- * \param left the AC on the left of operator<
- * \param right the AC on the right of operator<
- * \return true if the AC on the left has lower priority than the AC on the right
+ * @param left the AC on the left of operator<
+ * @param right the AC on the right of operator<
+ * @return true if the AC on the left has lower priority than the AC on the right
  */
 bool operator<(AcIndex left, AcIndex right);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Operator<= overload returning true if the AC on the left has lower or the same
  * priority than the AC on the right.
  *
- * \param left the AC on the left of operator<=
- * \param right the AC on the right of operator<=
- * \return true if the AC on the left has lower or the same priority than the AC on the right
+ * @param left the AC on the left of operator<=
+ * @param right the AC on the right of operator<=
+ * @return true if the AC on the left has lower or the same priority than the AC on the right
  */
 bool operator<=(AcIndex left, AcIndex right);
 
@@ -198,30 +198,30 @@
 extern const std::map<AcIndex, WifiAc> wifiAcList;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Maps TID (Traffic ID) to Access classes.
  * For more details see (Table 9-1 "UP-to-AC mapping"; IEEE 802.11-2012).
  *
- * \param tid the Traffic ID to be mapped to Access class
- * \return the access class for the given TID
+ * @param tid the Traffic ID to be mapped to Access class
+ * @return the access class for the given TID
  */
 AcIndex QosUtilsMapTidToAc(uint8_t tid);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Next function is useful to correctly sort buffered packets under block ack.
  * When an BAR is received from originator station, completed "old"
  * (see section 9.10.3 in IEEE 802.11e) packets must be forwarded up before "new" packets.
  *
- * \param seqControl the sequence control field
- * \param endSequence the sequence number ending the acknowledgment window
+ * @param seqControl the sequence control field
+ * @param endSequence the sequence number ending the acknowledgment window
  *
- * \return a unique integer for the given sequence control and end sequence
+ * @return a unique integer for the given sequence control and end sequence
  */
 uint32_t QosUtilsMapSeqControlToUniqueInteger(uint16_t seqControl, uint16_t endSequence);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * This function checks if packet with sequence number <i>seqNumber</i> is an "old" packet.
  * The sequence number space is considered divided into two parts, one of which is "old" and
  * one of which is "new" by means of a boundary created by adding half the sequence number
@@ -252,28 +252,28 @@
  * if that packet (with sequence number <i>numberSeq</i>)) belongs to the section of the
  * sequence number space marked with '-' characters. The function returns false otherwise.
  *
- * \param startingSeq the starting sequence number
- * \param seqNumber the sequence number to be checked
+ * @param startingSeq the starting sequence number
+ * @param seqNumber the sequence number to be checked
  *
- * \return true if the packet is old, false otherwise
+ * @return true if the packet is old, false otherwise
  */
 bool QosUtilsIsOldPacket(uint16_t startingSeq, uint16_t seqNumber);
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * This function is useful to get traffic id of different packet types.
  *
- * \param packet packet to check
- * \param hdr 802.11 header for packet to check
- * \return the TID of different packet types
+ * @param packet packet to check
+ * @param hdr 802.11 header for packet to check
+ * @return the TID of different packet types
  */
 uint8_t GetTid(Ptr<const Packet> packet, const WifiMacHeader hdr);
 
 /**
- * \ingroup wifi
- * \brief Determine the TX queue for a given packet
- * \param item the packet
- * \returns the access category
+ * @ingroup wifi
+ * @brief Determine the TX queue for a given packet
+ * @param item the packet
+ * @returns the access category
  *
  * Modeled after the Linux function ieee80211_select_queue (net/mac80211/wme.c).
  * A SocketPriority tag is attached to the packet (or the existing one is
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/aarfcd-wifi-manager.cc ns-3.44/src/wifi/model/rate-control/aarfcd-wifi-manager.cc
--- ns-3.43/src/wifi/model/rate-control/aarfcd-wifi-manager.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/aarfcd-wifi-manager.cc	2025-03-09 16:55:49.795372700 -0700
@@ -21,7 +21,7 @@
 NS_LOG_COMPONENT_DEFINE("AarfcdWifiManager");
 
 /**
- * \brief hold per-remote-station state for AARF-CD Wifi manager.
+ * @brief hold per-remote-station state for AARF-CD Wifi manager.
  *
  * This struct extends from WifiRemoteStation struct to hold additional
  * information required by the AARF-CD Wifi manager
@@ -319,9 +319,9 @@
     NS_LOG_FUNCTION(this << st << allowedWidth);
     auto station = static_cast<AarfcdWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     WifiMode mode = GetSupported(station, station->m_rate);
     uint64_t rate = mode.GetDataRate(channelWidth);
@@ -346,13 +346,13 @@
 AarfcdWifiManager::DoGetRtsTxVector(WifiRemoteStation* st)
 {
     NS_LOG_FUNCTION(this << st);
-    /// \todo we could/should implement the AARF algorithm for
+    /// @todo we could/should implement the AARF algorithm for
     /// RTS only by picking a single rate within the BasicRateSet.
     auto station = static_cast<AarfcdWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     WifiMode mode;
     if (!GetUseNonErpProtection())
